# Processing an Order

Finally when the user has reviewed the `Order` and entered in their `Payment` information, you may process the order using the following method.

Currently the only acceptable payment strategy is through Stripe and you can use our StripePaymentProvider SDK together with the UI SDK to collect and process payment info.

This call will asynchronously return a `Receipt` which you can show to the user as a successful confirmation of the order.

{% tabs %}
{% tab title="iOS" %}

```swift
Traveler.processOrder(order, payment: payment) { (receipt, order) in 

}
```

Alternatively you can use the delegate pattern

```swift
Traveler.processOrder(order, payment: payment, delegate: self)
```

```swift
extension MyViewController: OrderProcessDelegate {
    func order(_ order: Order, didSucceedWithReceipt receipt: Receipt) {
    
    }
    
    func order(_ order: Order, didFailWithError error: Error) {
    
    }
}
```

{% endtab %}

{% tab title="Android" %}

```java
Traveler.processOrder(order, payment, new ProcessOrderCallback() {
    @Override
    void onOrderProcessSuccess(Receipt receipt) {
    
    }
    
    @Override
    void onOrderProcessError(Error error) {
    
    }
});

```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.guestlogix.io/traveler/mobile-sdks/stripe-payment-sdk/processing-an-order.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
